田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID
-随机-|-分布-
-博客论坛-|-﨣﨤﨧﨨-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2024 - 3 48
     12
3456789
10111213141516
17181920212223
24252627282930
31


站点统计

最新评论



楼梯栏杆及扶手.JG/T558-2018.PDF Jig catch user input such as Right Click?
未知 Using Curve.Extend   [ 日期:2018-07-12 ]   [ 来自:本站原创 ]  HTML
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry

Public Class Class1
    <CommandMethod("xt")> _
    Public Sub XtendMethod()
        Dim doc As Document = Application.DocumentManager.MdiActiveDocument
        Dim ed As Editor = doc.Editor
        Dim db As Database = doc.Database
        Try
            Dim peo As New PromptEntityOptions(vbLf & "Select a Curve")
            peo.SetRejectMessage(vbLf & "Selected entity must be a Curve.")
            peo.AddAllowedClass(GetType(Curve), False)
            Dim per As PromptEntityResult = ed.GetEntity(peo)
            If per.Status <> PromptStatus.OK Then
                Return
            End If
            Using tr As Transaction = db.TransactionManager.StartTransaction()
                Dim curve As Curve = TryCast(tr.GetObject(per.ObjectId, OpenMode.ForWrite), Curve)
                Dim line As Line = TryCast(curve, Line)
                If line IsNot Nothing Then
                    Dim dist As Double = line.Length * 0.1
                    Dim dir As Vector3d = (line.EndPoint - line.StartPoint).GetNormal()
                    line.EndPoint += dir * dist
                Else
                    Dim ep As Double = curve.EndParam
                    ep = ep * 1.1
                    curve.Extend(ep)
                End If
                tr.Commit()
            End Using
        Catch ex As System.Exception
            ed.WriteMessage(ex.Message)
        End Try
    End Sub
End Class

http://adndevblog.typepad.com/auto ... ing-curveextend.html



暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:3*6=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©